export function useArePackagesInstalled(param) {
    const { packageNames, deep } = param;
    const { data, loading, error } = deep.useDeepSubscription({
        type_id: {
            _id: ['@deep-foundation/core', 'Package'],
        },
        string: {
            value: {
                _in: packageNames,
            },
        },
    });
    let packageInstallationStatuses = undefined;
    if (data) {
        packageInstallationStatuses =
            packageNames.reduce((packageInstallationStatuses, packageName) => {
                packageInstallationStatuses[packageName] = !!data.find((item) => { var _a; return ((_a = item.value) === null || _a === void 0 ? void 0 : _a.value) === packageName; });
                return packageInstallationStatuses;
            }, {});
    }
    return { packageInstallationStatuses, loading, error };
}
//# sourceMappingURL=main.js.map